View Issue Details

IDProjectCategoryView StatusLast Update
0001397SymmetricDSImprovementpublic2014-02-02 20:53
ReporterabrougherAssigned Toabrougher 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.4 
Target Version3.5.5Fixed in Version3.5.5 
Summary0001397: Conflict detection mechanism USE_CHANGED_DATA should be able to specify columns to ignore.
DescriptionIt would be useful if the USE_CHANGED_DATA conflict detection method could ignore some columns specified in the DETECT_EXPRESSION.

The detect_expression would look something like...

excluded_column_names=column1,column2

This would allow us to add additional parameters later.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master e575626e

2013-08-22 10:17:08

abrougher

Details Diff
0001397: Conflict detection mechanism USE_CHANGED_DATA should be able to specify columns to ignore.
0001397
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/Conflict.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2013-08-22 10:15 abrougher New Issue
2013-08-22 10:15 abrougher Status new => assigned
2013-08-22 10:15 abrougher Assigned To => abrougher
2013-08-22 10:16 abrougher Project SymmetricDS Pro => SymmetricDS
2013-08-22 10:17 abrougher Status assigned => closed
2013-08-22 10:17 abrougher Resolution open => fixed
2013-08-22 10:17 abrougher Fixed in Version => 3.5.5
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7660
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master e575626e